/** 服务类型 */
export enum ApiServiceType {
  /** API 网关服务 (apigateway) */
  apigateway = 'apigateway',
  /** 云函数服务 (SCF) */
  scf = 'scf',
  /** 视频处理服务 (MPS) */
  mps = 'mps',
  /** 资源标签服务 (TAG) */
  tag = 'tag',
  /** 内容分发 (CDN) */
  cdn = 'cdn',
  /** 文件存储 (CFS) */
  cfs = 'cfs',
  /** 域名解析服务 (CNS) */
  cns = 'cns',
  /** 域名服务 */
  domain = 'domain',
  /** MySQL 数据库 (CynosDB) */
  cynosdb = 'cynosdb',
  /** Postgres 数据库 (Postgres) */
  postgres = 'postgres',
  /** 私有网络服务（VPC) */
  vpc = 'vpc',
  /** 权限管理服务（CAM） */
  cam = 'cam',
}

/** @deprecated 请使用 ApiServiceType */
export const ServiceType = ApiServiceType;

/** @deprecated 请使用 ApiServiceType */
export type ServiceType = ApiServiceType;

/** 地域类型 */
export type RegionType = string;

/** Api 通用鉴权 */
export interface ApiCredentials {
  /** AppId */
  AppId?: string;
  /** 用户 SecretId */
  SecretId?: string;
  /** 用户 SecretKey */
  SecretKey?: string;
  /** 用户 Token */
  Token?: string;
}
